using System;
using System.Collections.Generic;
using System.Text;

namespace IndianHealthService.BMXNet.Services
{
    public interface LocalEventService
    {
        //Events
        void Subscribe(String anEventName);
        bool HasSubscribers(String anEventName);
        void Unsubscribe(String anEventName);

        event EventHandler RefreshRequested;
        event EventHandler<LocalEventArgs> ApplicationEvent;

        void TriggerEvent(String anEventName, String someDetails);
        
        //Well-known EHR events that apply to destop too

    }
}
